cdac.medinfo.ccd.datatype

## Class PQ

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.PQ

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    HXITPQ, IVXBPQ, PPDPQ, SXCMPQ

      public class PQ
      extends QTY

  A dimensioned quantity expressing the result of a measurement act.

  Java class for PQ complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PQ">
         <complexContent>
           <extension base="{urn:hl7-org:v3}QTY">
             <sequence>
               <element name="translation" type="{urn:hl7-org:v3}PQR" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="value" type="{urn:hl7-org:v3}real" />
             <attribute name="unit" type="{urn:hl7-org:v3}cs" default="1" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PQ()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<PQR>` | `getTranslation()` Gets the value of the translation property.
    `java.lang.String` | `getUnit()` Gets the value of the unit property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setUnit(java.lang.String value)` Sets the value of the unit property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PQ

          public PQ()

  - ### Method Detail

    - #### getTranslation

          public java.util.List<PQR> getTranslation()

      Gets the value of the translation property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the translation property.

      For example, to add a new item, do as follows:

              getTranslation().add(newItem);

      Objects of the following type(s) are allowed in the list `PQR`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getUnit

          public java.lang.String getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `String`

    - #### setUnit

          public void setUnit(java.lang.String value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `String`